//package com.recovery.admin.boot.config.ds;
//
//
//
//import com.alibaba.druid.pool.DruidDataSource;
//import com.baomidou.mybatisplus.extension.spring.MybatisSqlSessionFactoryBean;
//import io.seata.rm.datasource.DataSourceProxy;
//import org.apache.ibatis.session.SqlSessionFactory;
//import org.mybatis.spring.SqlSessionFactoryBean;
//import org.mybatis.spring.transaction.SpringManagedTransactionFactory;
//import org.springframework.beans.factory.annotation.Value;
//import org.springframework.boot.context.properties.ConfigurationProperties;
//import org.springframework.context.annotation.Bean;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.core.io.support.PathMatchingResourcePatternResolver;
//
//import javax.sql.DataSource;
//
//
////使用seata对DataSource进行代理
//@Configuration
//public class DataSourceProxyConfig {
//
//    //mapper.xml路径
//    static final String MAPPER_LOCATION = "classpath:mapper/*.xml";
//
//    //手动配置bean
//    @Bean
//    @ConfigurationProperties(prefix = "master.datasource")
//    public DataSource druidDataSource(){
//
//        return new DruidDataSource();
//    }
//
//    @Bean
//    public SqlSessionFactory sessionFactory(DataSourceProxy dataSourceProxy) throws Exception {
//        MybatisSqlSessionFactoryBean sessionFactoryBean = new MybatisSqlSessionFactoryBean();
//        sessionFactoryBean.setDataSource(dataSourceProxy);
//        sessionFactoryBean.setMapperLocations(new PathMatchingResourcePatternResolver().getResources(MAPPER_LOCATION));
//        //事务管理工厂
//        sessionFactoryBean.setTransactionFactory(new SpringManagedTransactionFactory());
//        return sessionFactoryBean.getObject();
//    }
//
//    @Bean
//    public DataSourceProxy dataSource() {
//        DataSource source = druidDataSource();
//        return new DataSourceProxy(druidDataSource());
//    }
//}
