package com.recovery.admin.boot.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.recovery.admin.boot.entity.User;
import com.recovery.admin.boot.feign.OrderFeignClient;
import com.recovery.admin.boot.mapper.UserMapper;
import com.recovery.admin.boot.service.UserService;

import com.recovery.common.base.dto.UserAuthDTO;

import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @author：
 *
 */
@Service
@RequiredArgsConstructor
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements UserService {
    @Resource
    OrderFeignClient orderFeignClient;
    @Override
    public UserAuthDTO getByUsername(String username) {
        UserAuthDTO userAuthInfo = this.baseMapper.getByUsername(username);
        return userAuthInfo;
    }

    @Override
    @Transactional
    public void add(User user) {
        user.setUserName("123");
        this.baseMapper.insert(user);
        String sc= orderFeignClient.test();

        System.out.println("123");
    }

}
